Bug 510398 - Should not need to input password again when runing a vm in remote connection.
Should not need to input password again when runing a vm in remote connection.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-08 22:54 EDT by Qunfang Zhang
Modified: 2009-12-14 16:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-09 07:55:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Remote connection (56.11 KB, image/png)
2009-07-08 22:54 EDT, Qunfang Zhang
no flags Details

  None (edit)
Description Qunfang Zhang 2009-07-08 22:54:10 EDT
Created attachment 351011 [details]
Remote connection

Description of problem:
I have a remote connection in my Virtual Machine Manager, and it's disconnected. When I want to connect it, I must input the password of the remote Virtual Machine Manager. There are some vms in remote virtual machine and their status are Shutoff. But, When I right-click a vm and run it, I am required to input password again. It's unsuitable.

Version-Release number of selected component (if applicable):
RHEL5.4-Server-x86_64(2.6.18-156.el5xen)

 # rpm -qa | grep -E "libvirt |virt-manager|xen" 
libvirt-python-0.6.3-14.el5
libvirt-devel-0.6.3-14.el5
libvirt-0.6.3-14.el5
virt-manager-0.6.1-6.el5
xen-3.0.3-88.el5
libvirt-debuginfo-0.6.3-14.el5
xen-devel-3.0.3-88.el5
libvirt-cim-0.5.5-2.el5
virt-manager-debuginfo-0.6.1-6.el5
libvirt-debuginfo-0.6.3-14.el5
kernel-xen-2.6.18-156.el5
libvirt-0.6.3-14.el5
xen-libs-3.0.3-88.el5
xen-libs-3.0.3-88.el5
xen-devel-3.0.3-88.el5
kernel-xen-devel-2.6.18-156.el5
libvirt-devel-0.6.3-14.el5


How reproducible:
Always

Steps to Reproduce:
1.Add a remote connection, and ensure there're at least one vm in the remote connection
2.Make the vm in the remote connection  to be shutoff
3.Make the remote connection's status to be disconnection
4.connect the remote connection.
5.Run the vm in the remote connection
  
Actual results:
After step4, a window pops up, requesting a password.
After step5, the window pops up again, requesting a password for the second times.

Expected results:-
After step4, you need input the password of the remote connection.
After step5, the vm will run successfully without any password input request.

Additional info:
Comment 1 Cole Robinson 2009-07-09 07:55:07 EDT
Thanks for the report.

I assume you are using an SSH connection? If so, this is NOTABUG. We can't cache the user's SSH password to prevent the prompt from popping up multiple times. The only supportable solution is to SSH keys, or some other auth that can handle this like SASL.

Using plain SSH without keys is fine for testing, but not recommended for production use.

Note You need to log in before you can comment on or make changes to this bug.